Request Gpu Pool Change
curl --request POST \
--url https://api.deepinfra.com/v1/me/gpu_pool/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"requested_min": {},
"requested_max": {},
"expected_request_id": "<string>"
}
'import requests
url = "https://api.deepinfra.com/v1/me/gpu_pool/request"
payload = {
"reason": "<string>",
"requested_min": {},
"requested_max": {},
"expected_request_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: '<string>',
requested_min: {},
requested_max: {},
expected_request_id: '<string>'
})
};
fetch('https://api.deepinfra.com/v1/me/gpu_pool/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": 123,
"requested_max": {},
"reason": "<string>"
}{
"error": "Model not found"
}{
"error": "Model not found"
}{
"error": "Model not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Account
Request Gpu Pool Change
File or amend the caller’s single open GPU limit request.
POST
/
v1
/
me
/
gpu_pool
/
request
Request Gpu Pool Change
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Why you need the change. Shown to the reviewer.
Maximum string length:
2000Guaranteed capacity.
Show child attributes
Show child attributes
Desired max GPUs per type, e.g. {"H100-80GB": 16}. REPLACES the contents of your pending request, so send every entry you still want changed.
Show child attributes
Show child attributes
Id of the pending request you are editing, from GET /v1/me/gpu_pool (pending_request.id), or null if you have none.